
Installer - Refactor #29801

Tracker # 29746 (Closed): Merge hooks/ and katello/hooks into a single directory structure

Move --tuning option to hooks/

05/14/2020 12:30 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: foreman-installer script   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/566,

https://github.com/theforeman/foreman-i

nstaller/pull/568,

https://github.com/theforeman/foreman-i

nstaller/pull/542

  

Description

Currently the Katello specific option --tuning exists in katello/hooks. All hooks are being moved to the top level hooks/ directory. This

does not add the --tuning option to the Foreman scenario since there aren't tuning profiles available.

Associated revisions

Revision 366add06 - 08/24/2020 03:21 PM - William Clark

Fixes #29801 - move --tuning to hooks/

Revision 5fcf51ba - 08/27/2020 03:22 PM - Eric Helms

Refs #29801 - Handle mongodb cache size separate from tuning

Revision 6b84bab5 - 08/28/2020 06:52 AM - Eric Helms

Refs #29801: Fix broken mongo cache size setting

History

#1 - 07/16/2020 06:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/542 added

#2 - 08/24/2020 03:22 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#3 - 08/24/2020 04:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|366add0622be5648bc7a93ebea59200a6afb4397.

#4 - 08/27/2020 12:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/566 added

#5 - 08/27/2020 10:45 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/568 added
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/366add0622be5648bc7a93ebea59200a6afb4397


#6 - 11/30/2020 06:23 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Feature to Refactor

- Subject changed from Add --tuning option to hooks/ and ensure tuning defaults are proper for Foreman default install to Move --tuning option to

hooks/

- Description updated

- Category set to foreman-installer script

- Target version set to 2.3.0

- Triaged changed from No to Yes
